MappingDefaults (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source
Interface MappingDefaults

All Known Implementing Classes:
  OverriddenMappingDefaults

    public interface MappingDefaults

Defines a (contextual) set of values to use as defaults in the absence of related mapping information. The context here is conceptually a stack. The "global" level is configuration settings.

Method Summary
`boolean` | `areAssociationsLazy()` Identifies whether associations are lazy by default if not specified in the mapping.
`AccessType` | `getCacheAccessType()` The default cache access type to use
`String` | `getCascadeStyle()` Identifies the default cascade style to apply to associations if none specified in the mapping.
`String` | `getCatalogName()` Identifies the default database catalog name to use if none specified in the mapping.
`String` | `getDiscriminatorColumnName()` Identifies the default column name to use for the discriminator column if none specified in the mapping.
`String` | `getIdColumnName()` Identifies the default column name to use for the identifier column if none specified in the mapping.
`String` | `getPackageName()` Identifies the default package name to use if none specified in the mapping.
`String` | `getPropertyAccessorName()` Identifies the default `PropertyAccessor` name to use if none specified in the mapping.
`String` | `getSchemaName()` Identifies the default database schema name to use if none specified in the mapping.

Method Detail

### getPackageName

    String getPackageName()

  Identifies the default package name to use if none specified in the mapping. Really only pertinent for `hbm.xml` mappings.

  Returns:
    The default package name.

### getSchemaName

    String getSchemaName()

  Identifies the default database schema name to use if none specified in the mapping.

  Returns:
    The default schema name

### getCatalogName

    String getCatalogName()

  Identifies the default database catalog name to use if none specified in the mapping.

  Returns:
    The default catalog name

### getIdColumnName

    String getIdColumnName()

  Identifies the default column name to use for the identifier column if none specified in the mapping.

  Returns:
    The default identifier column name

### getDiscriminatorColumnName

    String getDiscriminatorColumnName()

  Identifies the default column name to use for the discriminator column if none specified in the mapping.

  Returns:
    The default discriminator column name

### getCascadeStyle

    String getCascadeStyle()

  Identifies the default cascade style to apply to associations if none specified in the mapping.

  Returns:
    The default cascade style

### getPropertyAccessorName

    String getPropertyAccessorName()

  Identifies the default `PropertyAccessor` name to use if none specified in the mapping.

  Returns:
    The default property accessor name
  See Also:
    `PropertyAccessorFactory`

### areAssociationsLazy

    boolean areAssociationsLazy()

  Identifies whether associations are lazy by default if not specified in the mapping.

  Returns:
    The default association laziness

### getCacheAccessType

    AccessType getCacheAccessType()

  The default cache access type to use

  Returns:
    The default cache access type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.